WordPress.org

Make WordPress Core

Opened 19 months ago

Closed 19 months ago

Last modified 19 months ago

#22078 closed enhancement (duplicate)

Selecting a timezone is hard

Reported by: ericlewis Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: Administration Keywords:
Focuses: Cc:

Description

Selecting a timezone is hard. Cities are nested within Option groups, so typing in your city name doesn't work, forcing the user to do some serious scrolling.

Change History (8)

comment:1 follow-up: scribu19 months ago

Yeah, for some reason, whatever letter I press, I always end up with Zurich selected.

I think this would be a good candidate for Select2.

comment:2 in reply to: ↑ 1 ericlewis19 months ago

Replying to scribu:

Yeah, for some reason, whatever letter I press, I always end up with Zurich selected.

I think this would be a good candidate for Select2.

Indeed. It would definitely be useful elsewhere in the admin interface as well. Although under the Apache license version 2.0, not sure if that is an issue.

comment:3 follow-up: scribu19 months ago

Yeah, Apache 2.0 is compatible with GPL3, but not with GPL2: http://www.gnu.org/licenses/license-list.html#apache2

comment:4 in reply to: ↑ 3 ; follow-up: helenyhou19 months ago

Replying to scribu:

Yeah, Apache 2.0 is compatible with GPL3, but not with GPL2

It's too bad that they didn't keep the MIT license Chosen has. I had been looking at Select2 for tag/non-hierarchical taxonomy metaboxes but came upon that very issue. We could use Chosen in this particular instance, though. It's just not as feature-ized as Select2 (but, IMO, a bit better looking): http://harvesthq.github.com/chosen/

I could have sworn there was talk of geolocation and/or adding something more like a map selector here, but can't recall where.

Last edited 19 months ago by helenyhou (previous) (diff)

comment:5 ocean9019 months ago

  • Keywords ui-feedback ux-feedback removed
  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed
  • Version 3.0 deleted

Duplicate of #10324.

comment:6 in reply to: ↑ 4 ericlewis19 months ago

Replying to helenyhou:

Replying to scribu:

Yeah, Apache 2.0 is compatible with GPL3, but not with GPL2

It's too bad that they didn't keep the MIT license Chosen has. I had been looking at Select2 for tag/non-hierarchical taxonomy metaboxes but came upon that very issue. We could use Chosen in this particular instance, though. It's just not as feature-ized as Select2 (but, IMO, a bit better looking): http://harvesthq.github.com/chosen/

I could have sworn there was talk of geolocation and/or adding something more like a map selector here, but can't recall where.

FYI, I chatted with the developer of Select2 and he agreed to dual-licensing it under GPLv2 and Apache v2, so it can be put back on the table for consideration in WP core when the next dot release of that comes out (Pull Request).

comment:7 follow-up: nacin19 months ago

GPLv2 is not compatible with GPLv2 or later, which is what WordPress is. MIT is probably best when recommending a second dual license that is compatible with WordPress.

In this case though, a map seems best (and standard) — #10324.

comment:8 in reply to: ↑ 7 ericlewis19 months ago

Replying to nacin:

GPLv2 is not compatible with GPLv2 or later, which is what WordPress is. MIT is probably best when recommending a second dual license that is compatible with WordPress.

[facepalm]

Note: See TracTickets for help on using tickets.